/*
 * SonarQube
 * Copyright (C) 2009-2017 SonarSource SA
 * mailto:info AT sonarsource DOT com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
// @flow

export type Event = {
  key: string,
  name: string,
  category: string,
  description?: string
};

export type Analysis = {
  key: string,
  date: Date,
  events: Array<Event>
};

export type HistoryItem = { date: Date, value: string };

export type MeasureHistory = { metric: string, history: Array<HistoryItem> };

export type Metric = {
  custom?: boolean,
  hidden?: boolean,
  key: string,
  name: string,
  type: string
};

export type Paging = {
  pageIndex: number,
  pageSize: number,
  total: number
};

export type Query = {
  category: string,
  customMetrics: Array<string>,
  from?: Date,
  graph: string,
  project: string,
  to?: Date,
  selectedDate?: Date
};
